# rox-embedded-webpack-plugin

A [webpack](https://github.com/webpack/webpack) plugin which injects embedded rox configuration into your build.

 ###### Peer Dependency Requirements
 - Webpack 3.0.0 or higher
 - A compaitable ROX SDK installed ([rox-browser](https://www.npmjs.com/package/rox-browser) or [rox-node](https://www.npmjs.com/package/rox-node)).

## Installation

Install the plugin:

NPM | Yarn
--- | ---
`npm install --save-dev rox-embedded-webpack-plugin` | `yarn install -D rox-embedded-webpack-plugin`

## Usage
###### CommonJS
```es6
const ROXEmbeddedPlugin = require('rox-embedded-webpack-plugin');
module.exports = {
  entry: //...,
  output: //...,
  plugins: [
    new ROXEmbeddedPlugin(options)
  ]
}
```
###### ES6 / ES2015 Modules
```es6
import ROXEmbeddedPlugin = from 'rox-embedded-webpack-plugin';
export default {
  entry: //...,
  output: //...,
  plugins: [
    new ROXEmbeddedPlugin(options)
  ]
}
```
## Options
It is an object with the following keys:
```es6
{
   app: <YOUR APP KEY>,
   platform: <YOUR_PLATFORM_OF_CHOICE>, // (you can use 'Browser' here)
   output: <ABS_TEMPORARY_OUTPUT_DIR> // (OPTIONAL)
}
```
